summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/actiontext/actiontext-7.0.6.ebuild1
-rw-r--r--dev-ruby/leto/Manifest1
-rw-r--r--dev-ruby/leto/leto-2.1.0.ebuild30
-rw-r--r--dev-ruby/leto/metadata.xml12
-rw-r--r--dev-ruby/necromancer/necromancer-0.7.0.ebuild27
-rw-r--r--dev-ruby/paint/paint-2.3.0.ebuild22
-rw-r--r--dev-ruby/permutation/permutation-0.1.8-r2.ebuild22
-rw-r--r--dev-ruby/rake-remote_task/rake-remote_task-2.4.4.ebuild28
-rw-r--r--dev-ruby/ruby-ldap/files/ruby-ldap-0.9.20-clang16-fix.patch12
-rw-r--r--dev-ruby/ruby-ldap/ruby-ldap-0.9.20-r4.ebuild38
-rw-r--r--dev-ruby/sus/Manifest1
-rw-r--r--dev-ruby/sus/sus-0.21.2.ebuild32
12 files changed, 127 insertions, 99 deletions
diff --git a/dev-ruby/actiontext/actiontext-7.0.6.ebuild b/dev-ruby/actiontext/actiontext-7.0.6.ebuild
index dfa65eb6e1c5..5ed5525d70fa 100644
--- a/dev-ruby/actiontext/actiontext-7.0.6.ebuild
+++ b/dev-ruby/actiontext/actiontext-7.0.6.ebuild
@@ -36,6 +36,7 @@ ruby_add_rdepend "
ruby_add_bdepend "test? (
dev-ruby/bundler
+ dev-ruby/minitest:5.15
dev-ruby/mocha
dev-ruby/propshaft
)"
diff --git a/dev-ruby/leto/Manifest b/dev-ruby/leto/Manifest
new file mode 100644
index 000000000000..0fee1decd10d
--- /dev/null
+++ b/dev-ruby/leto/Manifest
@@ -0,0 +1 @@
+DIST leto-2.1.0.tar.gz 8874 BLAKE2B d7d39a13ad6ceed2d14d7e9c9a39c037115797ce00629a114bad832bc70397a90c3ba86bdc73789b0c0f852df059d15d026338324cd3de9f38a40bf4885d6a9a SHA512 c0bda72b32a96c83ad01281fd2a6e224f504aa45b030e4a203c2df0810bb6dd52dcb9c2633f2514d239a39b14b5c0428f912799eae756373dc0b15051be5e260
diff --git a/dev-ruby/leto/leto-2.1.0.ebuild b/dev-ruby/leto/leto-2.1.0.ebuild
new file mode 100644
index 000000000000..c2416f88523d
--- /dev/null
+++ b/dev-ruby/leto/leto-2.1.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="leto.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Generic object traverser for Ruby"
+HOMEPAGE="https://github.com/jaynetics/leto"
+SRC_URI="https://github.com/jaynetics/leto/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -e 's:_relative ": "./:' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e '/simplecov/I s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/leto/metadata.xml b/dev-ruby/leto/metadata.xml
new file mode 100644
index 000000000000..f8c9ddb491bf
--- /dev/null
+++ b/dev-ruby/leto/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="rubygems">leto</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/necromancer/necromancer-0.7.0.ebuild b/dev-ruby/necromancer/necromancer-0.7.0.ebuild
deleted file mode 100644
index 73d45d482c7d..000000000000
--- a/dev-ruby/necromancer/necromancer-0.7.0.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-RUBY_FAKEGEM_EXTRADOC="README.md"
-
-RUBY_FAKEGEM_BINWRAP=""
-RUBY_FAKEGEM_GEMSPEC="necromancer.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Conversion from one object type to another with a bit of black magic"
-HOMEPAGE="https://github.com/piotrmurach/necromancer"
-SRC_URI="https://github.com/piotrmurach/necromancer/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-all_ruby_prepare() {
- sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
-}
diff --git a/dev-ruby/paint/paint-2.3.0.ebuild b/dev-ruby/paint/paint-2.3.0.ebuild
deleted file mode 100644
index a7b57a3529d0..000000000000
--- a/dev-ruby/paint/paint-2.3.0.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md SHORTCUTS.md"
-
-RUBY_FAKEGEM_GEMSPEC=paint.gemspec
-
-inherit ruby-fakegem
-
-DESCRIPTION="Terminal painter"
-HOMEPAGE="https://github.com/janlelis/paint"
-SRC_URI="https://github.com/janlelis/paint/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test doc"
diff --git a/dev-ruby/permutation/permutation-0.1.8-r2.ebuild b/dev-ruby/permutation/permutation-0.1.8-r2.ebuild
deleted file mode 100644
index 60db0ca21ac7..000000000000
--- a/dev-ruby/permutation/permutation-0.1.8-r2.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_EXTRADOC="CHANGES README"
-
-inherit multilib ruby-fakegem
-
-DESCRIPTION="Library performing operations with permutations of sequences (strings, arrays)"
-HOMEPAGE="https://flori.github.io/permutation/"
-
-LICENSE="|| ( Ruby-BSD BSD-2 )"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="doc"
-
-each_ruby_test() {
- ${RUBY} -Ilib test/test.rb || die
-}
diff --git a/dev-ruby/rake-remote_task/rake-remote_task-2.4.4.ebuild b/dev-ruby/rake-remote_task/rake-remote_task-2.4.4.ebuild
deleted file mode 100644
index 4f6ac2c2a0e6..000000000000
--- a/dev-ruby/rake-remote_task/rake-remote_task-2.4.4.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_EXTRADOC="History.txt README.txt"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Extends Rake with remote task goodness"
-HOMEPAGE="https://github.com/seattlerb/rake-remote_task"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-ruby_add_bdepend "
- test? ( dev-ruby/minitest )"
-ruby_add_rdepend ">=dev-ruby/open4-1.0 >=dev-ruby/rake-0.8 <dev-ruby/rake-15"
-
-RDEPEND+=" net-misc/rsync"
-DEPEND+=" test? ( net-misc/rsync )"
-
-each_ruby_test() {
- ${RUBY} -Ilib:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
-}
diff --git a/dev-ruby/ruby-ldap/files/ruby-ldap-0.9.20-clang16-fix.patch b/dev-ruby/ruby-ldap/files/ruby-ldap-0.9.20-clang16-fix.patch
new file mode 100644
index 000000000000..580584c61994
--- /dev/null
+++ b/dev-ruby/ruby-ldap/files/ruby-ldap-0.9.20-clang16-fix.patch
@@ -0,0 +1,12 @@
+Bug: https://bugs.gentoo.org/884405
+--- a/ldap.c
++++ b/ldap.c
+@@ -201,7 +201,7 @@ rb_ldap_hash2mods (VALUE self, VALUE op, VALUE hash)
+ VALUE tmp;
+
+ tmp = rb_assoc_new (op, rb_ary_new ());
+- rb_iterate (rb_each, hash, rb_ldap_hash2mods_i, tmp);
++ rb_iterate (rb_each, hash, (rb_block_call_func_t)rb_ldap_hash2mods_i, tmp);
+
+ return rb_ary_entry (tmp, 1);
+ }
diff --git a/dev-ruby/ruby-ldap/ruby-ldap-0.9.20-r4.ebuild b/dev-ruby/ruby-ldap/ruby-ldap-0.9.20-r4.ebuild
new file mode 100644
index 000000000000..117ecd8ad824
--- /dev/null
+++ b/dev-ruby/ruby-ldap/ruby-ldap-0.9.20-r4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+inherit ruby-fakegem
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_EXTENSIONS=(./extconf.rb)
+RUBY_FAKEGEM_EXTRADOC="ChangeLog FAQ NOTES README TODO"
+
+DESCRIPTION="A Ruby interface to some LDAP libraries"
+HOMEPAGE="https://github.com/bearded/ruby-ldap"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="ssl"
+DEPEND=">=net-nds/openldap-2:=
+ dev-libs/cyrus-sasl
+ ssl? ( dev-libs/openssl:0= )"
+RDEPEND="${DEPEND}"
+
+# Current test set is interactive due to certificate generation and requires
+# running LDAP daemon
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.9.20-clang16-fix.patch
+)
+
+each_ruby_configure() {
+ local myconf="--with-openldap2"
+ if ! use ssl ; then
+ myconf="${myconf} --without-libcrypto --without-libssl"
+ fi
+ RUBY_FAKEGEM_EXTENSION_OPTIONS=${myconf} each_fakegem_configure
+}
diff --git a/dev-ruby/sus/Manifest b/dev-ruby/sus/Manifest
index 663ba02a0573..1a56773c9f40 100644
--- a/dev-ruby/sus/Manifest
+++ b/dev-ruby/sus/Manifest
@@ -1,3 +1,4 @@
DIST sus-0.20.3.tar.gz 28845 BLAKE2B d10b142dd9d7ef44a453746f859a7d4a66eacd09ea157aef1887a95b01a88e7f749f9ca881518500eef48917b5cb1e67ac008327af0ae9df0200875bbe1de3b1 SHA512 1158f6ae53c5aae22454a15eaf7e613a00b1af730bf07af6662bd7e9d7f30365cea9dbebcddb5b6234931cf9414b8c3af0889d73194632cbaad439872cc89059
DIST sus-0.21.0.tar.gz 29581 BLAKE2B c39102c006b1fdfec6f40ef7eaa973a0cd5039b73402c8c5ff9234a0c06131c24550070fd04d59dd8706edbd08d46604e943f9b69e071dd29eefda103a1a6d1f SHA512 1fdbcbe814411a0ff3b9ebc72143f64fc76dbe11faea915e9d46bda786da9837e62a5a3070ceb6f28ac6bfe2c4fc8646de865efbc679abe80ee2a7abe327c007
DIST sus-0.21.1.tar.gz 29580 BLAKE2B 9a30950b4ad9da13af48c50a96951ba9f9cace97fac3a603de5acfe489dc8c8d4581b064f2452c9bf5da96da4db8f488df42f89a2113dd924c8ba8fcf8fd9230 SHA512 73db74f791f47a898840db65cf9c2f98b92f3d2a5319828f26dc55c8aef8e0932060c1075f5010b3c2b887891c1467a3828728f78a84297725d851966093ce9e
+DIST sus-0.21.2.tar.gz 30329 BLAKE2B ea0e9d4ffc994ce0370abbde8d68de668457f90e5f53e0c80e1aa146a28754782590eee7e53dc6373fe17b8816e481b82c5d97c4b2a39829a8a9a5a58faa42ba SHA512 eeced196ffc0871474495fb1afd8aa25f36a1881bad303447499a9b6c19ed94241896256563a4f61e9f7e1b32b8ed5e52e83f5c414c64002e283e81f1fc28b06
diff --git a/dev-ruby/sus/sus-0.21.2.ebuild b/dev-ruby/sus/sus-0.21.2.ebuild
new file mode 100644
index 000000000000..47dc10e077b5
--- /dev/null
+++ b/dev-ruby/sus/sus-0.21.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A fast and scalable test runner"
+HOMEPAGE="https://github.com/ioquatix/sus"
+SRC_URI="https://github.com/ioquatix/sus/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Remove the sus configuration which enabled coverage checks.
+ # Its dependency is not packaged.
+ rm -f config/sus.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} bin/sus-parallel || die
+}